Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
vipps
aid_account_settings_connections_vipps_get
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/vipps \
  --header 'Authorization: Bearer <token>'
{
  "signup": {
    "created_at": "2023-11-07T05:31:56Z",
    "id": "81b83246-5c19-7b94-875b-ea6d1114f099",
    "url": "<string>",
    "callback_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "status": "pending",
  "events": [
    {
      "status": "pending",
      "event": "signature_required",
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "created_by": "<string>",
      "description": "Vipps awaiting signature",
      "metadata": {
        "signature_link": "https://sig.example.com/K34K244"
      }
    }
  ],
  "schema": 123,
  "configuration": {
    "payment_options": [
      {
        "currencies": [
          "NOK"
        ],
        "type": "vipps"
      }
    ],
    "merchant_name": "Vipps",
    "created_time": "00:00:00",
    "merchant_serial_number": "123456",
    "client_id": "51358942-08c8-4d50-99f4-a9aa970b5f5b",
    "subscription_keys": [
      {
        "product": "Access",
        "ocp_apim_subscription_key": "de897dbb-0cd3-4445-b003-ac8214ac4638"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Response

Vipps connection

signup
object
required
created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

metadata
object

A set of key/value pairs that you can attach to a subscription object. It can be useful for storing additional information about the subscription in a structured format.

status
enum<string>

The status of the connection

Available options:
pending,
enabled,
failed,
declined
events
object[]

List of events recorded, an event is created when the connection is updated with new status

schema
number
read-only

The version of the schema used for the connection

configuration
object

Vipps configuration for the merchant, received from signup callback The vipps configuration includes a client_secret stored safely and never exposed

Last modified on May 12, 2026